Bug 197775 - not keeping the IM state with the shared-input-mode
not keeping the IM state with the shared-input-mode
Product: Fedora
Classification: Fedora
Component: scim-bridge (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Depends On:
Blocks: 187029
  Show dependency treegraph
Reported: 2006-07-06 05:16 EDT by Akira TAGOH
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-11 03:39:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2006-07-06 05:16:24 EDT
Description of problem:
When I enabled "Share the same input method among all applications" option in
scim-setup, it works and keep its state during any applications appears on the
desktop. but when the desktop is restarted or all applications is closed once,
scim-bridge ignores the last state and IM is always turned on.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.enable "Share the same input method among all applications" on scim-setup.
2.probably better trying this after restarting the desktop, and run a gtk2
application and turn off IM.
3.close the application once and run again.
Actual results:
IM is turned on.

Expected results:
IM should be turned off.

Additional info:
it looks like scim-bridge doesn't follow /FrontEnd/IMOpenedByDefault in
Comment 1 Ryo Dairiki 2006-07-06 20:34:42 EDT
Fixed on the CVS latest.
Comment 2 Jens Petersen 2006-07-06 22:41:26 EDT
Thanks.  Fixes should be in scim-bridge-0.2.3-2.fc6.

Note You need to log in before you can comment on or make changes to this bug.